How to install bluej on tumbleweed?

The installer says java directory is invalid. Should I install java-18-openjdk-jmods too?

https://iili.io/pzhg19.png

Hi
Yes, you need the jmods package installed.

I have removed openjdk packages and installed oracle’s jdk and javafx20. It includes jmods and now bluej works fine.